Subject: can't insert a quote pair before another
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Fri, 04 Apr 2014 11:03:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 24.3.50

emacs -Q -f electric-pair-mode -f text-mode
SPC SPC SPC "
C-a "

The first " inserts a pair of double quotes, like I expect, but the
second refuses to insert anything and instead it jumps forward to after
the first double quote.  Maybe there are cases where that makes sense,
but that's much too clever for me.

The situation where I bumped into it was that I had the text

    I suggest you write "blabla" instead of

and I wanted to turn it into

    I suggest you write "blibli" and "blabla" instead of

so I put point after "write" and wanted to type

    SPC "blibli" SPC and

but instead I had to use C-q " twice, which was rather unpleasant.

        Stefan

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.22)
 of 2014-01-07 on faina